import request from '@/utils/request'

//1.资讯中心 start ------------------------------------->

//1.1 获取资讯列表
export function getArticleList(params) {
  return request({
    url: '/news/getArticleList',
    method: 'get',
    params
  })
}

//1.2 添加资讯
export function addArticle(data) {
  return request({
    url: '/news/addArticle',
    method: 'post',
    data
  })
}

//1.3 删除资讯
export function delArticle(data) {
  return request({
    url: '/news/delArticle',
    method: 'post',
    data
  })
}

//1.4 查看资讯
export function getArticleInfo(params) {
  return request({
    url: '/news/getArticleInfo',
    method: 'get',
    params
  })
}

//1.5 修改资讯内容
export function updateArticle(data) {
  return request({
    url: '/news/updateArticle',
    method: 'post',
    data
  })
}

//1.5 修改资讯状态
export function upArticleStatus(data) {
  return request({
    url: '/news/upArticleStatus',
    method: 'post',
    data
  })
}
//20250226  产品列表
export function getGoodList(params) {
  return request({
    url: '/news/getGoodList',
    method: 'post',
    params
  })
}
export function addGood(data) {
  return request({
    url: '/news/addGood',
    method: 'post',
    data
  })
}
export function delGood(data) {
  return request({
    url: '/news/delGood',
    method: 'post',
    data
  })
}
export function getGoodInfo(params) {
  return request({
    url: '/news/getGoodInfo',
    method: 'post',
    params
  })
}
export function updateGood(data) {
  return request({
    url: '/news/updateGood',
    method: 'post',
    data
  })
}
export function websiteList(params) {
  return request({
    url: '/website/getWebsiteList',
    method: 'get',
    params
  })
}
export function getWebsiteNavList(data) {
  return request({
    url: '/website/getWebsiteNavList',
    method: 'post',
    data
  })
}

//20250226  产品列表


//20250306求职
export function getJobHuntingList(params) {
  return request({
    url: '/news/getJobHuntingList',
    method: 'post',
    params
  })
}
export function addJobHunting(data) {
  return request({
    url: '/news/addJobHunting',
    method: 'post',
    data
  })
}
export function delJobHunting(data) {
  return request({
    url: '/news/delJobHunting',
    method: 'post',
    data
  })
}
export function getJobHuntingInfo(data) {
  return request({
    url: '/news/getJobHuntingInfo',
    method: 'post',
    data
  })
}
export function updateJobHunting(data) {
  return request({
    url: '/news/updateJobHunting',
    method: 'post',
    data
  })
}
export function getJobHuntingData(data) {
  return request({
    url: '/news/getJobHuntingData',
    method: 'post',
    data
  })
}
//20250306求职


//待审核列表
export function getWebsiteNavPool(data) {
  return request({
    url: '/website/getWebsiteNavPool',
    method: 'post',
    data
  })
}
export function getWebsiteNavPoolSite(data) {
  return request({
    url: '/website/getWebsiteNavPoolSite',
    method: 'post',
    data
  })
}
//2.投票列表 start  fr ------------------------------------->

//2.1 获取投票列表
export function getSurveyList(params) {
  return request({
    url: '/news/getSurveyList',
    method: 'post',
    params
  })
}

//2.2 获取投票详情
export function getSurveyInfo(data) {
  return request({
    url: '/news/getSurveyInfo',
    method: 'post',
    data
  })
}
// 2.投票列表 end  fr ------------------------------------->
